/**
 *  协会用户管理
 *  数据对象的Dto
 * */

/**
 * And=0,Or=1
 * @format int32
 */
export type DynamicFilterLogic = 0 | 1

/**
 * Contains=0,StartsWith=1,EndsWith=2,NotContains=3,NotStartsWith=4,NotEndsWith=5,Equal=6,Equals=7,Eq=8,NotEqual=9,GreaterThan=10,GreaterThanOrEqual=11,LessThan=12,LessThanOrEqual=13,Range=14,DateRange=15,Any=16,NotAny=17,Custom=18
 * @format int32
 */
export type DynamicFilterOperator = 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12 | 13 | 14 | 15 | 16 | 17 | 18
export interface DynamicFilterInfo {
  field?: string | null
  /** Contains=0,StartsWith=1,EndsWith=2,NotContains=3,NotStartsWith=4,NotEndsWith=5,Equal=6,Equals=7,Eq=8,NotEqual=9,GreaterThan=10,GreaterThanOrEqual=11,LessThan=12,LessThanOrEqual=13,Range=14,DateRange=15,Any=16,NotAny=17,Custom=18 */
  operator?: DynamicFilterOperator
  value?: string
  /** And=0,Or=1 */
  logic?: DynamicFilterLogic
  filters?: DynamicFilterInfo[] | null
}

/**
 * 列表查询信息
 */
export  interface associationFilterModel_SearchFilter{
    /**用户名 */
    name?:string
  }
  
  /**
   * 列表信息
   */
  export interface associationFilterModel {
    /** 用户名 */
    name?: string | null ,
    /** 邮箱 */
    email?: string | null ,
    /** 手机号码 */
    mobile?: string | null ,
    /** 创建时间 */
    createdDate?: string | null ,
    /** 修改时间 */
    modifiedDate?: string | null ,
    /** 是否启用用户 */
    disable?: string | null ,
    /** 账户是否锁定 */
    isLock?: string | null ,
  }

/** 分页信息输出*/
export interface PageOutputAssociationFilterModel{
    /**
     * 数据总数
     * @format int64
     */
    total?: number
    /** 数据 */
    list?: associationFilterModel[] | null
  }
  
/**结果输出*/
export interface ResultOutputPageOutputAssociationFilterModel{
/** 是否成功标记 */
success?: boolean
/** 编码 */
code?: string | null
/** 消息 */
msg?: string | null
/** 分页信息输出 */
data?: PageOutputAssociationFilterModel
}
  
/** 分页信息输入 */
export interface PageInputAssociationFilterModel{
/**
 * 当前页标
 * @format int32
 */
currentPage?: number
/**
 * 每页大小
 * @format int32
 */
pageSize?: number
dynamicFilter?: DynamicFilterInfo
filter?: associationFilterModel_SearchFilter
}
  
  

