/**
 *  油站管理 
 *  数据对象的Dto
 * */

/**
 * And=0,Or=1
 * @format int32
 */
export type DynamicFilterLogic = 0 | 1

/**
 * Contains=0,StartsWith=1,EndsWith=2,NotContains=3,NotStartsWith=4,NotEndsWith=5,Equal=6,Equals=7,Eq=8,NotEqual=9,GreaterThan=10,GreaterThanOrEqual=11,LessThan=12,LessThanOrEqual=13,Range=14,DateRange=15,Any=16,NotAny=17,Custom=18
 * @format int32
 */
export type DynamicFilterOperator = 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12 | 13 | 14 | 15 | 16 | 17 | 18
export interface DynamicFilterInfo {
  field?: string | null
  /** Contains=0,StartsWith=1,EndsWith=2,NotContains=3,NotStartsWith=4,NotEndsWith=5,Equal=6,Equals=7,Eq=8,NotEqual=9,GreaterThan=10,GreaterThanOrEqual=11,LessThan=12,LessThanOrEqual=13,Range=14,DateRange=15,Any=16,NotAny=17,Custom=18 */
  operator?: DynamicFilterOperator
  value?: string
  /** And=0,Or=1 */
  logic?: DynamicFilterLogic
  filters?: DynamicFilterInfo[] | null
}

/**
 * 列表查询信息
 */
export  interface gasStationFilterModel_SearchFilter{
  startDate?: string | null;
  endDate?: string | null;
  createTimeRange?: Array<string> | null; 
    /**省份*/
    province?: string,
    /**加油站名称*/
    name?: string,
    type?: string | null ,

  }
  
  /**
   * 列表信息
   */
  export interface gasStationFilterModel {
    /** 油站名称 */
    name?: string | null ,
    /** 油站类型 */
    type?: string | null ,
    /** 油站地址 */
    address?: string | null ,
    /** 油站数量 */
    dispensersTotal?: number | null ,
    /** 油枪数量 */
    nozzleControlsTotal?: number | null ,
  }

/** 分页信息输出*/
export interface PageOutputgasStationFilterModel{
    /**
     * 数据总数
     * @format int64
     */
    total?: number
    /** 数据 */
    list?: gasStationFilterModel[] | null
  }
  
/**结果输出*/
export interface ResultOutputPageOutputoilGunFilterModel{
/** 是否成功标记 */
success?: boolean
/** 编码 */
code?: string | null
/** 消息 */
msg?: string | null
/** 分页信息输出 */
data?: PageOutputgasStationFilterModel
}
  
/** 分页信息输入 */
export interface PageInputgasStationFilterModel{
/**
 * 当前页标
 * @format int32
 */
currentPage?: number
/**
 * 每页大小
 * @format int32
 */
pageSize?: number
dynamicFilter?: DynamicFilterInfo
filter?: gasStationFilterModel_SearchFilter
}
  
  

