import { storeToRefs } from "pinia";
import {ContentType, HttpClient, RequestParams} from "/@/api/admin/http-client";
import {ExportExcelInputDto, PageInputFuelDispenserDto,ResultOutputPageOutputFuelDispenserDto} from "/@/api/admin/reportManagement/listOfOilEngines/listOfOilEnginesDto";import { useUserInfo } from "/@/stores/userInfo";
;

export class ListOfOilEnginesApi <SecurityDataType = unknown> extends HttpClient<SecurityDataType> {

  /**
  * No description
  *
  * @tags List
  * @name GetPage
  * @summary 查询分页
  * @request POST:
  * @secure
  */

  timer = 200
  getPage = (data: PageInputFuelDispenserDto, params: RequestParams = {}) =>
    this.request<ResultOutputPageOutputFuelDispenserDto, any>({
      path: `/api/app/fuel-dispenser/get-download-record`,
      method: 'POST',
      body: data,
      secure: true,
      type: ContentType.Json,
      format: 'json',
      ...params,
    })
  getPage2 = () =>
    new Promise(resolve => {
      setTimeout(() => {
        resolve({
          total:100,
          list:[{
            id:1,
            name:4,
            oilCompanies:"中石化",
            gasStation:"中石化",
            serialNumber:123321,
            model:"潜油泵",
            quantity:12,
            manufacturer:"托肯恒山",
            factoryTime:"123",
            startTime:"startTime",
            equipmentStatus:1,
            onlineStatus:2
          },{
            id:1,
            name:4,
            oilCompanies:"中石化",
            gasStation:"中石化",
            serialNumber:123321,
            model:"潜油泵",
            quantity:12,
            manufacturer:"托肯恒山",
            factoryTime:"123",
            startTime:"startTime",
            equipmentStatus:1,
            onlineStatus:2
          },{
            id:1,
            name:4,
            oilCompanies:"中石化",
            gasStation:"中石化",
            serialNumber:123321,
            model:"潜油泵",
            quantity:12,
            manufacturer:"托肯恒山",
            factoryTime:"123",
            startTime:"startTime",
            equipmentStatus:1,
            onlineStatus:2
          },{
            id:1,
            name:4,
            oilCompanies:"中石化",
            gasStation:"中石化",
            serialNumber:123321,
            model:"潜油泵",
            quantity:12,
            manufacturer:"托肯恒山",
            factoryTime:"123",
            startTime:"startTime",
            equipmentStatus:1,
            onlineStatus:2
          },{
            id:1,
            name:4,
            oilCompanies:"中石化",
            gasStation:"中石化",
            serialNumber:123321,
            model:"潜油泵",
            quantity:12,
            manufacturer:"托肯恒山",
            factoryTime:"123",
            startTime:"startTime",
            equipmentStatus:1,
            onlineStatus:2
          }]
        })
      },this.timer)
    })
    
    
  // 导出excel
  onExportExcel = (data: PageInputFuelDispenserDto, params: RequestParams = {}) => {
    const { userInfos } = storeToRefs(useUserInfo());
    const accessToken = userInfos.value.token;
    const token = `Bearer ${accessToken}`;

    const myHeaders = new Headers();
    myHeaders.append("Authorization", token);
    myHeaders.append("Content-Type", "application/json");

    // 请求体
    const body = JSON.stringify(data);

    const requestOptions: RequestInit = {
      method: 'POST',
      headers: myHeaders,
      body: body,
      redirect: 'follow',
    };

    // const fileUrl = import.meta.env.VITE_API_URL + '/api/app/fuel-dispenser/export-excel';
    const fileUrl = "http://192.168.0.202:8003" + '/api/app/fuel-dispenser/export-excel';

    fetch(fileUrl, requestOptions)
      .then(response => response.blob())
      .then(blob => {
        const link = document.createElement('a');
        link.href = URL.createObjectURL(blob);
        // link.download = fileName; // 使用参数中的 fileName
        link.download = "test"; // 使用参数中的 fileName
        link.click();
        URL.revokeObjectURL(link.href);
      })
      .catch(error => {
        console.error('下载失败：', error);
      });
  };
}
