/**
 * 油机列表详情输出数据
 */
export interface FuelDispenserEntity{
  /**主键Id*/
  id: number
  /**创建者Id*/
  createdUserId: number
  /**创建者*/
  createdUserName: string
  /**创建时间*/
  createdTime: string
  /**修改者Id*/
  modifiedUserId: number
  /**修改者*/
  modifiedUserName: string
  /**修改时间*/
  modifiedTime: string
  /**加油机名称*/
  name: string
  /**石油公司*/
  oilCompany: string
  /**加油站*/
  gasStation: string
  /**序列号*/
  serialNumber: string
  /**加油机机型*/
  model: string
  /**加油机枪数量*/
  gunCount: string
  /**加油机厂商*/
  manufacturer: string
  /**出厂时间*/
  manufactureDate: string
  /**启动时间*/
  startupDate: string
  /**安装时间*/
  installationDate: string
  /**设备状态*/
  deviceStatus: string
  /**在线状态*/
  onlineStatus: string
  /**油机ID*/
  fuelId: string
  /**报警状态*/
  alarmLevel: number
  /**累计在线时间*/
  onlineDesc: string
  /**测量范围*/
  measureRang: string
  /**准确度等级*/
  accuracyLevel: string
  /**规格参数*/
  modelSpec: string
}
/** 油机详情输出信息 */
export interface ResultOutputList {
  /** 是否成功标记 */
  success?: boolean
  /** 编码 */
  code?: string | null
  /** 消息 */
  msg?: string | null
  /** 数据 */
  data?: FuelDispenserEntity | null
}
/**
 * And=0,Or=1
 * @format int32
 */
export type DynamicFilterLogic = 0 | 1

/**
 * Contains=0,StartsWith=1,EndsWith=2,NotContains=3,NotStartsWith=4,NotEndsWith=5,Equal=6,Equals=7,Eq=8,NotEqual=9,GreaterThan=10,GreaterThanOrEqual=11,LessThan=12,LessThanOrEqual=13,Range=14,DateRange=15,Any=16,NotAny=17,Custom=18
 * @format int32
 */
export type DynamicFilterOperator = 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12 | 13 | 14 | 15 | 16 | 17 | 18
export interface DynamicFilterInfo {
  field?: string | null
  /** Contains=0,StartsWith=1,EndsWith=2,NotContains=3,NotStartsWith=4,NotEndsWith=5,Equal=6,Equals=7,Eq=8,NotEqual=9,GreaterThan=10,GreaterThanOrEqual=11,LessThan=12,LessThanOrEqual=13,Range=14,DateRange=15,Any=16,NotAny=17,Custom=18 */
  operator?: DynamicFilterOperator
  value?: string
  /** And=0,Or=1 */
  logic?: DynamicFilterLogic
  filters?: DynamicFilterInfo[] | null
}
/**
 * 油机详情报警历史列表信息
 */
export  interface AlarmHistoryDto{
  /**油机ID*/
  fuelId: number,
  /**创建时间*/
  createdDate?: string,
  /**加油站*/
  gasStation?: string,
  /**油机号*/
  name?: string,
  /**序列号*/
  serialNumber?: string,
  /*报警来源*/
  alarmSource?: string,
  /**报警类型*/
  alarmType?: string,
  /**报警描述*/
  alarmDescription?: string,
  /**id*/
  alarmHistoryID: number,
}
/** 分页信息输入 */
export interface PageInputAlarmHistoryDto{
  /**
   * 当前页标
   * @format int32
   */
  currentPage?: number
  /**
   * 每页大小
   * @format int32
   */
  pageSize?: number
  dynamicFilter?: DynamicFilterInfo
  filter?: AlarmHistoryDto
}

/** 分页信息输出*/
export interface PageOutputAlarmHistoryDto{
  /**
   * 数据总数
   * @format int64
   */
  total?: number
  /** 数据 */
  list?: AlarmHistoryDto[] | null
}

/**结果输出*/
export interface ResultOutputPageOutputAlarmHistoryDto
{
  /** 是否成功标记 */
  success?: boolean
  /** 编码 */
  code?: string | null
  /** 消息 */
  msg?: string | null
  /** 分页信息输出 */
  data?: PageOutputAlarmHistoryDto
}
/**
 * 油机详情生命周期列表信息
 */
export  interface LifeCycleDto{
  /**油机ID*/
  fuelId: number,
  /**创建时间*/
  createdDate?: string,
  /**操作人*/
  operator?: string,
  /**操作人ID*/
  operatorID?: number,
  /**操作*/
  operation?: string,
  /**id*/
  lifeCycleID?: number,
}
/** 分页信息输入 */
export interface PageInputLifeCycleDto{
  /**
   * 当前页标
   * @format int32
   */
  currentPage?: number
  /**
   * 每页大小
   * @format int32
   */
  pageSize?: number
  dynamicFilter?: DynamicFilterInfo
  filter?: LifeCycleDto
}

/** 分页信息输出*/
export interface PageOutputLifeCycleDto{
  /**
   * 数据总数
   * @format int64
   */
  total?: number
  /** 数据 */
  list?: LifeCycleDto[] | null
}

/**结果输出*/
export interface ResultOutputPageOutputLifeCycleDto{
  /** 是否成功标记 */
  success?: boolean
  /** 编码 */
  code?: string | null
  /** 消息 */
  msg?: string | null
  /** 分页信息输出 */
  data?: PageOutputLifeCycleDto
}
