/**
 *  部件详情信息
 *  数据对象的Dto
 * */
/**
 * 查询信息
 */
export interface partsFilterModel {
    /**计控主板 */
    calculatorMainboard: {
        /**在线状态*/
        onlineStatus?: string | null,
        /**校验1D*/
        uuid?: string | null,
        /**数字签名 */
        signature?: string | null,
        /**制造商*/
        description?: string | null,
        /**程序版本 */
        swv?: string | null,
        /**法制软件 */
        Legalswv?: string | null,
        /**法制软件标识 */
        LegalSwvldentification?: string | null
    },
    /**编码器 */
    encoderControls: {
        /**在线状态*/
        onlineStatus?: string | null,
        /**校验id*/
        uuid?: string | null,
        /**数字签名 */
        signature?: string | null,
        /**制造商*/
        description?: string | null,
        /**程序版本 */
        swv?: string | null,
        /**序列号 */
        sn?: string | null,
        /**法制软件 */
        Legalswv?: string | null,
        /**法制软件标识 */
        LegalSwvldentification?: string | null
    },
    /**加密显示屏 */
    displayControls: {
        /**在线状态*/
        onlineStatus?: string | null,
        /**序列号*/
        uuid?: string | null,
        /**制造商*/
        description?: string | null
    },
    /**油气回收控制主板 */
    vaporRecoveryControl: {
        /**在线状态*/
        onlineStatus?: string | null,
        /**校验id*/
        uuid?: string | null,
        /**数字签名 */
        signature?:string | null,
        /**制造商*/
        description?: string | null,
        /**程序版本 */
        swv?: string | null
    },
    /**安全装置 */
    blackBox: {
        /**二维码*/
        qrCode?: string | null,
        /**版本*/
        swv?: string | null
    },
    /**计量器 */
    meter: {
        /**序列号*/
        uuid?: string | null,
        /**制造商*/
        description?: string | null
    },
}


/** 分页信息输出*/
export interface PageOutputPartsFilterModel {
    /**
     * 数据总数
     * @format int64
     */
    total?: number
    /** 数据 */
    list?: partsFilterModel[] | null
}

/**结果输出*/
export interface ResultOutputPartsFilterModel {
    /** 是否成功标记 */
    success?: boolean
    /** 编码 */
    code?: string | null
    /** 消息 */
    msg?: string | null
    /** 分页信息输出 */
    data?: PageOutputPartsFilterModel
}




